Package weka.core.converters

# Class SerializedInstancesLoader

java.lang.Object
weka.core.converters.AbstractLoader
weka.core.converters.AbstractFileLoader
weka.core.converters.SerializedInstancesLoader

All Implemented Interfaces:
  `Serializable`, `BatchConverter`, `FileSourcedConverter`, `IncrementalConverter`, `Loader`, `EnvironmentHandler`, `RevisionHandler`

public class SerializedInstancesLoader extends AbstractFileLoader implements BatchConverter, IncrementalConverter
Reads a source that contains serialized Instances.

Version:
  $Revision: 8034 $
Author:
  Len Trigg
See Also:
  - `Loader`
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface weka.core.converters.Loader

  `Loader.StructureNotReadyException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `FILE_EXTENSION`
  the file extension

  ### Fields inherited from class weka.core.converters.AbstractFileLoader

  `FILE_EXTENSION_COMPRESSED`

  ### Fields inherited from interface weka.core.converters.Loader

  `BATCH, INCREMENTAL, NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerializedInstancesLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instances`
  `getDataSet()`
  Return the full data set.
  `String`
  `getFileDescription()`
  Returns a description of the file type.
  `String`
  `getFileExtension()`
  Get the file extension used for arff files
  `String[]`
  `getFileExtensions()`
  Gets all the file extensions used for this type of file
  `Instance`
  `getNextInstance(Instances structure)`
  Read the data set incrementally---get the next instance in the data set or returns null if there are no more instances to get.
  `String`
  `getRevision()`
  Returns the revision string.
  `Instances`
  `getStructure()`
  Determines and returns (if possible) the structure (internally the header) of the data set as an empty set of instances.
  `String`
  `globalInfo()`
  Returns a string describing this object
  `static void`
  `main(String[] args)`
  Main method.
  `void`
  `reset()`
  Resets the Loader ready to read a new data set
  `void`
  `setSource(InputStream in)`
  Resets the Loader object and sets the source of the data set to be the supplied InputStream.

  ### Methods inherited from class weka.core.converters.AbstractFileLoader

  `getUseRelativePath, retrieveFile, runFileLoader, setEnvironment, setFile, setSource, setUseRelativePath, useRelativePathTipText`

  ### Methods inherited from class weka.core.converters.AbstractLoader

  `setRetrieval`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILE_EXTENSION

    public static String FILE_EXTENSION
    the file extension

- ## Constructor Details

  - ### SerializedInstancesLoader

    public SerializedInstancesLoader()

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing this object
    Returns:
      a description of the classifier suitable for displaying in the explorer/experimenter gui

  - ### reset

    public void reset()
    Resets the Loader ready to read a new data set
    Specified by:
      `reset` in interface `Loader`
    Overrides:
      `reset` in class `AbstractFileLoader`

  - ### getFileExtension

    public String getFileExtension()
    Get the file extension used for arff files
    Specified by:
      `getFileExtension` in interface `FileSourcedConverter`
    Returns:
      the file extension

  - ### getFileExtensions

    public String[] getFileExtensions()
    Gets all the file extensions used for this type of file
    Specified by:
      `getFileExtensions` in interface `FileSourcedConverter`
    Returns:
      the file extensions

  - ### getFileDescription

    public String getFileDescription()
    Returns a description of the file type.
    Specified by:
      `getFileDescription` in interface `FileSourcedConverter`
    Returns:
      a short file description

  - ### setSource

    public void setSource(InputStream in) throws IOException
    Resets the Loader object and sets the source of the data set to be the supplied InputStream.
    Specified by:
      `setSource` in interface `Loader`
    Overrides:
      `setSource` in class `AbstractLoader`
    Parameters:
      `in` - the source InputStream.
    Throws:
      `IOException` - if there is a problem with IO

  - ### getStructure

    public Instances getStructure() throws IOException
    Determines and returns (if possible) the structure (internally the header) of the data set as an empty set of instances.
    Specified by:
      `getStructure` in interface `Loader`
    Specified by:
      `getStructure` in class `AbstractLoader`
    Returns:
      the structure of the data set as an empty set of Instances
    Throws:
      `IOException` - if an error occurs

  - ### getDataSet

    public Instances getDataSet() throws IOException
    Return the full data set. If the structure hasn't yet been determined by a call to getStructure then method should do so before processing the rest of the data set.
    Specified by:
      `getDataSet` in interface `Loader`
    Specified by:
      `getDataSet` in class `AbstractLoader`
    Returns:
      the structure of the data set as an empty set of Instances
    Throws:
      `IOException` - if there is no source or parsing fails

  - ### getNextInstance

    public Instance getNextInstance(Instances structure) throws IOException
    Read the data set incrementally---get the next instance in the data set or returns null if there are no more instances to get. If the structure hasn't yet been determined by a call to getStructure then method should do so before returning the next instance in the data set.
    Specified by:
      `getNextInstance` in interface `Loader`
    Specified by:
      `getNextInstance` in class `AbstractLoader`
    Parameters:
      `structure` - ignored
    Returns:
      the next instance in the data set as an Instance object or null if there are no more instances to be read
    Throws:
      `IOException` - if there is an error during parsing

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision

  - ### main

    public static void main(String[] args)
    Main method.
    Parameters:
      `args` - should contain the name of an input file.